Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056389 - [RFE][horizon]: Add ability for admin to manage image custom properties
Summary: [RFE][horizon]: Add ability for admin to manage image custom properties
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M2
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-2 upstream_st...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 05:09 UTC by RHOS Integration
Modified: 2015-02-09 14:54 UTC (History)
9 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
The ability for an administrator to manage image metadata (custom properties) has been added to the dashboard. The admin user can now add, update, or delete image metadata (implements the 'glance image-update <imageID> --property <key>=<value>' command). To view or update an image's metadata, select Admin > System > Images, and click the image's 'Update Metadata' action.
Clone Of:
Environment:
Last Closed: 2015-02-09 14:54:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-01-22 05:09:36 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/manage-image-custom-properties.

Description:

Currently in horizon an admin does not have the ability to manage image custom properties. Some of these properties are displayed on the image details panel but they cannot be edited in any way. This blueprint would add the ability for an admin to add, update, and delete image custom properties.

Specification URL (additional information):

None

Comment 2 Matthias Runge 2014-12-15 07:11:45 UTC
how to test:

log in as admin, go to admin/images and hit edit metadata for an image from the drop down menu from the images row.

Comment 5 errata-xmlrpc 2015-02-09 14:54:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.